Subject: Re: [secdir] [Dime] FW: draft-ietf-dime-mip6-split-16.txt

From: jouni korhonen <[email-masked]>
Date: Thu, 16 Apr 2009 15:07:27 +0300

Hi Donald,

Thanks you for the review. See my comments inline.

On Apr 14, 2009, at 1:39 PM, Romascanu, Dan (Dan) wrote:

> Have these comments been addressed?
>
> Dan
>
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf  
> Of
> Donald Eastlake
> Sent: Thursday, April 09, 2009 5:49 AM
> To: [email-masked]; [email-masked]; David Frascone; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: draft-ietf-dime-mip6-split-16.txt
>
> I have reviewed this document as part of the security directorate's
> ongoing effort to review all IETF documents being processed by the  
> IESG.
> Document editors and WG chairs should treat these comments just like  
> any
> other last call comments.
>
> This document primarily specifies the interaction between a Mobile IP
> Home Agent and a Diameter server when an IPv6 Mobile Mode wants to
> bootstrap its operations dynamically through interaction between its
> Home Agent and the Diameter server of a Mobile Service Provider.
>
> General: I'm always a bit suspicious of draft that include several
> options and alternatives. These at least make the document more  
> complex
> and increase the probability that some security flaw in one of the
> options/alternatives will be overlooked.

Right.. there is a long history why the document ended like this. It  
is not an ideal composition, especially when it comes to supporting  
both RFC6025 (standards track) and RFC4285 (informational), but the WG  
has been reluctant to divide the document..

>
> Security: The Security Considerations section of this draft is pretty
> short and primarily refers to the Security Considerations of three  
> other
> RFCs. It appears that the referenced documents, particularly RFC
> 5026 and the RFCs referenced by the Securities Considerations  
> section of
> RFC 5026, are adequate.

We could try to enhance the security considerations if required.  
However, that would mostly be briefly spelling out what the referenced  
documents discuss in detail.

>
> Nits:
>
> Given that the first two messages in the Figure 2 message flow diagram
> are annotated "(1)" and "(2)", it would seem like a good idea to add
> those annotations at an appropriate place in the subsequent text.
>
> "a IKEv2" -> "an IKEv2".
>
> First paragraph of 5.1: "a number AVPs" -> "a number of AVPs".
>
> Second paragraph of 5.2.1: "with a replay protection related
> information" -> "with replay protection related information".
>
> 9.5: "values" -> "value".
>
> 10: "in in" -> "in".

Thanks! I'll fix these.

Cheers,
	Jouni

>
>
> Thanks,
> Donald
>
> =============================
> Donald E. Eastlake 3rd   +1-508-634-2066 (home)
> 155 Beaver Street
> Milford, MA 01757 USA
> [email-masked]
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime